{
  "name": "@dws-contributes/sitespro-gatsby-base",
  "version": "12.0.7",
  "main": "index.js",
  "license": "MIT",
  "description": "Sites Pro Gatsby base theme",
  "author": "DWS <oit-dws@duke.edu>",
  "scripts": {
    "build": "gatsby build",
    "build:incremental": "GATSBY_EXPERIMENTAL_PAGE_BUILD_ON_DATA_CHANGES=true gatsby build --log-pages",
    "clean": "gatsby clean",
    "develop": "gatsby develop",
    "format": "prettier --write \"**/*.{js,jsx,json}\"",
    "semantic-release": "semantic-release",
    "prepare": "husky install",
    "test": "node --experimental-vm-modules node_modules/jest/bin/jest.js",
    "test:update": "npm test -- -u"
  },
  "publishConfig": {
    "access": "public",
    "registry": "https://gitlab.oit.duke.edu"
  },
  "browserslist": [
    ">1%",
    "not dead"
  ],
  "devDependencies": {
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/gitlab": "^11.0.1",
    "@semantic-release/npm": "^9.0.2",
    "@testing-library/jest-dom": "^5.17.0",
    "@testing-library/react": "^14.0.0",
    "babel-jest": "29.0.0",
    "babel-preset-gatsby": "3.6.0",
    "gatsby": "^5.12.4",
    "gatsby-cli": "^5.12.1",
    "husky": "^8.0.3",
    "identity-obj-proxy": "^3.0.0",
    "jest": "^29.7.0",
    "jest-environment-jsdom": "^29.7.0",
    "lint-staged": "^13.3.0",
    "prettier": "^2.8.8",
    "react-test-renderer": "^18.2.0",
    "semantic-release": "^20.1.3"
  },
  "dependencies": {
    "@dws-contributes/duke-scholars-widgets-react": "^2.0.0",
    "@gatsbyjs/reach-router": "^2.0.1",
    "@parcel/watcher": "2.1.0",
    "babel-plugin-styled-components": "2.0.7",
    "bootstrap": "^5.3.1",
    "dayjs": "^1.11.9",
    "deepmerge": "^4.3.0",
    "dotenv": "^16.3.1",
    "gatsby-omni-font-loader": "^2.0.2",
    "gatsby-plugin-feed": "^5.12.0",
    "gatsby-plugin-gatsby-cloud": "^5.12.0",
    "gatsby-plugin-google-gtag": "^5.12.0",
    "gatsby-plugin-google-tagmanager": "^5.12.0",
    "gatsby-plugin-htaccess": "^1.4.0",
    "gatsby-plugin-manifest": "^5.12.0",
    "gatsby-plugin-meta-redirect": "^1.1.1",
    "gatsby-plugin-no-sourcemaps": "^5.12.0",
    "gatsby-plugin-react-helmet": "^6.12.0",
    "gatsby-plugin-robots-txt": "^1.8.0",
    "gatsby-plugin-root-import": "^2.0.9",
    "gatsby-plugin-sass": "^6.12.0",
    "gatsby-plugin-schema-snapshot": "^4.12.0",
    "gatsby-plugin-sitemap": "^6.12.0",
    "gatsby-plugin-styled-components": "^6.12.0",
    "gatsby-source-drupal": "^6.12.0",
    "gatsby-source-filesystem": "^5.12.0",
    "html-react-parser": "^3.0.16",
    "http-proxy-middleware": "^2.0.6",
    "parse-entities": "^4.0.1",
    "prop-types": "^15.8.1",
    "query-string": "^8.1.0",
    "react": "^18.2.0",
    "react-bootstrap": "^2.8.0",
    "react-content-loader": "^6.2.1",
    "react-dom": "^18.2.0",
    "react-helmet": "^6.1.0",
    "react-icons": "^4.11.0",
    "react-lazy-load-image-component": "^1.6.0",
    "react-lines-ellipsis": "^0.15.3",
    "react-player": "^2.13.0",
    "react-router-dom": "^6.15.0",
    "react-share": "^4.4.1",
    "react-social-media-embed": "^2.3.5",
    "sass": "1.77.6",
    "styled-components": "^5.3.11"
  },
  "lint-staged": {
    "*.{js,jsx,json}": "prettier --write"
  },
  "overrides": {
    "babel-plugin-lodash": {
      "@babel/types": "~7.20.0"
    },
    "react-server-dom-webpack@0.0.0-experimental-c8b778b7f-20220825": {
      "react": "^18.2.0"
    },
    "react-lazyload": {
      "react": "^18.2.0",
      "react-dom": "^18.2.0"
    },
    "@parcel/fs": {
      "@parcel/watcher": "2.1.0"
    },
    "gatsby": {
      "gatsby-graphiql-explorer": "3.11.0"
    }
  },
  "engines": {
    "node": "18.x"
  }
}
